## python-x3dh 0.5.9~beta

=== requirements.txt ===
cryptography>=1.7.1
XEdDSA>=0.4.5,<0.5

## python-x3dh 0.5.8

=== debian/changelog ===
python-x3dh (0.5.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Dimitri John Ledkov ]
  * Drop python2 package. Closes: #938271

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2019 02:14:59 +0000

python-x3dh (0.5.8-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 13 Jan 2019 22:59:01 +0000

python-x3dh (0.4.3-1) unstable; urgency=medium

  * Initial package (Closes: #908029)
    Python 2 version still necessary for salutatoi

 -- W. Martin Borgert <debacle@debian.org>  Fri, 07 Sep 2018 21:41:29 +0000

=== debian/control ===
Source: python-x3dh
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
	dh-python,
	python3-all,
	python3-cryptography,
	python3-hkdf,
	python3-nacl,
	python3-setuptools,
	python3-xeddsa,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/X3DH/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-x3dh.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-x3dh

Package: python3-x3dh
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 implementation of the X3DH key agreement protocol
 This python library offers an implementation of the Extended Triple
 Diffie-Hellman key agreement protocol (X3DH) as specified here.
 .
 The goal is to provide a configurable and independent implementation of
 the protocol, while keeping the structure close to the specification.
 .
 This library was developed as part of python-omemo, a pretty cool
 end-to-end encryption protocol.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=x3dh

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-x3dh 0.5.9~beta

=== debian/changelog ===
python-x3dh (0.5.9~beta-3) unstable; urgency=medium

  * Add debian/watch file, using pypi.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 21:33:38 +0100

python-x3dh (0.5.9~beta-2) unstable; urgency=medium

  * Depend on python3-nacl (Closes: #1008325)

 -- Martin <debacle@debian.org>  Sun, 24 Apr 2022 21:13:42 +0000

python-x3dh (0.5.9~beta-1) unstable; urgency=medium

  * New upstream version.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>  Sat, 12 Mar 2022 18:46:24 +0000

=== debian/control ===
Source: python-x3dh
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-cryptography,
	python3-hkdf,
	python3-nacl,
	python3-setuptools,
	python3-xeddsa,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-x3dh
Vcs-Git: https://salsa.debian.org/python-team/packages/python-x3dh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-x3dh

Package: python3-x3dh
Architecture: all
Depends: python3-nacl,
	${misc:Depends},
	${python3:Depends},
Description: Python 3 implementation of the X3DH key agreement protocol
 This python library offers an implementation of the Extended Triple
 Diffie-Hellman key agreement protocol (X3DH) as specified here.
 .
 The goal is to provide a configurable and independent implementation of
 the protocol, while keeping the structure close to the specification.
 .
 This library was developed as part of python-omemo, a pretty cool
 end-to-end encryption protocol.
 .
 This package provides the Python 3.x module.

## python-x3dh 1.0.3

=== debian/changelog ===
python-x3dh (1.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Add autopkgtest.

 -- Martin <debacle@debian.org>  Sun, 04 Dec 2022 09:47:29 +0000

python-x3dh (0.5.9~beta-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:03:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,12 @@
 	python3-cryptography,
 	python3-hkdf,
 	python3-nacl,
+	python3-pydantic,
+	python3-pytest,
+	python3-pytest-asyncio,
 	python3-setuptools,
-	python3-xeddsa,
+	python3-typing-extensions,
+	python3-xeddsa (>= 1~),
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-x3dh

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest, python3-pytest-asyncio
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://pypi.debian.net/X3DH/X3DH-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-x3dh 1.0.4

=== debian/changelog ===
python-x3dh (1.0.4-3) unstable; urgency=medium

  * Team Upload
  * Remove stale dependency on old python3-hkdf which itselfs
    needs deprecated python3-nose.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 11:03:56 +0200

python-x3dh (1.0.4-2) unstable; urgency=medium

  * Build-depend on pydantic >= 2

 -- Martin <debacle@debian.org>  Mon, 05 Aug 2024 22:15:29 +0000

python-x3dh (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Use Testsuite: autopkgtest-pkg-pybuild instead of debian/tests/control

 -- Martin <debacle@debian.org>  Tue, 30 Jul 2024 08:17:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 	dh-python,
 	python3-all,
 	python3-cryptography,
-	python3-hkdf,
 	python3-nacl,
-	python3-pydantic,
+	python3-pydantic (>= 2~),
 	python3-pytest,
 	python3-pytest-asyncio,
 	python3-setuptools,
@@ -20,6 +19,7 @@
 Homepage: https://github.com/Syndace/python-x3dh
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-x3dh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-x3dh
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-x3dh
 Architecture: all
@@ -27,7 +27,7 @@
 	${misc:Depends},
 	${python3:Depends},
 Description: Python 3 implementation of the X3DH key agreement protocol
- This python library offers an implementation of the Extended Triple
+ This Python library offers an implementation of the Extended Triple
  Diffie-Hellman key agreement protocol (X3DH) as specified here.
  .
  The goal is to provide a configurable and independent implementation of
@@ -35,5 +35,3 @@
  .
  This library was developed as part of python-omemo, a pretty cool
  end-to-end encryption protocol.
- .
- This package provides the Python 3.x module.

## python-x3dh 1.1.0

=== requirements.txt ===
XEdDSA>=1.0.0,<2
cryptography>=3.3.2
pydantic>=1.7.4
typing-extensions>=4.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = X3DH
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-x3dh (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 21:07:39 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-cryptography,
 	python3-nacl,

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-x3dh.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-x3dh 1.2.0

=== debian/changelog ===
python-x3dh (1.2.0-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Tue, 18 Nov 2025 00:30:31 +0000

python-x3dh (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 19:55:30 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
 	python3-pydantic (>= 2~),
 	python3-pytest,
 	python3-pytest-asyncio,
+	python3-pytest-cov,
 	python3-setuptools,
 	python3-typing-extensions,
 	python3-xeddsa (>= 1~),
 Standards-Version: 4.2.1
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-x3dh
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-x3dh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-x3dh

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-x3dh/usr/lib/python3.*/dist-packages/docs/
